// creator  : weidu.exe (version 23100)
// argument : KPROEN01.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~KPROEN01~

IF ~Global("KeepPlot","GLOBAL",5)~ THEN BEGIN 0 // from:
  SAY #40440 /* ~Alright, let's make this quick, peasant.  Nalia de'Arnise was betrothed to a Roenall by her father.  Whether or not that wedding is going to happen, this land is ours by right.~ */
  IF ~~ THEN GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #40441 /* ~Nalia is too young to decide for herself to just give the land away.  And the very idea is preposterous at the least!  So... I'm going to be a gentleman and give you the choice to decide your fate for yourself.~ */
  IF ~~ THEN GOTO 2
END

IF ~~ THEN BEGIN 2 // from: 1.0
  SAY #40442 /* ~Give up this castle.  You will never rule it in the long run, at any rate... you have no noble blood.  Give it up now and all will be forgiven.  What do you say, peasant?~ */
  IF ~~ THEN REPLY #40443 /* ~Forget it.  Now get off my land.~ */ DO ~SetGlobal("KeepPlot","GLOBAL",16)
~ GOTO 3
  IF ~IsValidForPartyDialog("Nalia")~ THEN REPLY #40444 /* ~Fine.  I wasn't interested in this, much, anyway.~ */ EXTERN ~NALIAJ~ 196
  IF ~!IsValidForPartyDialog("Nalia")~ THEN REPLY #40445 /* ~Fine.  I wasn't interested in this, much, anyway.~ */ GOTO 4
END

IF ~~ THEN BEGIN 3 // from: NALIAJ:196.1 2.0
  SAY #40446 /* ~Hmph.  I see you are as stubborn and stupid as any other peasant.  Very well.  The next time I return it shall be with my army at my back.~ */
  IF ~~ THEN DO ~StartCutSceneMode()
ActionOverride("kproen02",MoveToPoint([1549.1192]))
ActionOverride("kproen02",EscapeArea())
ActionOverride("kproen03",MoveToPoint([1480.1235]))
ActionOverride("kproen03",EscapeArea())
MoveToPoint([1499.1196])
ActionOverride("kpdomo01",StartDialogueNoSet(Player1))
EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 4 // from: NALIAJ:197.0 2.2
  SAY #40454 /* ~Well.  It seems that you may have a bit of sense in you, after all.  Alright, then, I'm sure you've done enough damage running this land... out of my keep, all of you.~ */
  IF ~~ THEN DO ~ClearAllActions()
StartCutSceneMode()
StartCutScene("Cut32f")
~ EXIT
END

IF ~Global("KeepPlot","GLOBAL",11)
Allegiance(Myself,NEUTRAL)
~ THEN BEGIN 5 // from:
  SAY #40661 /* ~Aha!  There you are, my pathetic little peasant!  Prepare to lose your precious keep, fool!~ */
  IF ~~ THEN DO ~Shout(1)
Enemy()
~ EXIT
END

IF ~False()
~ THEN BEGIN 6 // from:
  SAY #40665 /* ~Prepare to die!!~ */
  IF ~~ THEN EXIT
END

IF ~Global("KeepPlot","GLOBAL",12)
~ THEN BEGIN 7 // from:
  SAY #40676 /* ~You are a fool, <CHARNAME>, to have even attempted to stand against one of true noble birth.  And you have caused unnecessary loss of life.~ */
  IF ~~ THEN GOTO 8
END

IF ~~ THEN BEGIN 8 // from: 7.0
  SAY #40677 /* ~I am the new Lord of this keep... and your presence is no longer desired nor welcome.  Take yourself from here... and never return.~ */
  IF ~~ THEN DO ~EraseJournalEntry(3030)
EraseJournalEntry(3031)
EraseJournalEntry(3032)
EraseJournalEntry(3033)
SetGlobal("KeepPlot","GLOBAL",14)
StartCutSceneMode()
StartCutScene("Cut32f")
~ SOLVED_JOURNAL #3034 /* ~Ruling the de'Arnise Keep and Lands

The de'Arnise Keep has been conquered by the Roenall forces, despite everything I tried to do.  Our resistance just took too long and it wasn't enough.  Lord Roenall has banished me from the land permanently.~ */ EXIT
END
